Subject: Re: [bug#49943] [PATCH] gnu: Add openboard

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 07 Mar 2022 23:53:10 -0500

Hi Nicolas and Maxime,

Maxime Devos <[email-masked]> writes:

> Nicolas Goaziou schreef op zo 06-03-2022 om 00:16 [+0100]:
>> +            (add-after 'unpack 'fix-hard-coded-env
>> +              (lambda* (#:key inputs #:allow-other-keys)
>> +                (substitute*
>> "src/frameworks/UBPlatformUtils_linux.cpp"
>> +                  (("/usr/bin/env") (search-input-file inputs
>> "/bin/env")))))
>
> You have to add 'coreutils-minimal' (or 'coreutils') to 'inputs',
> otherwise 'search-input-file' will fail when cross-compiling because
> 'bin/env' (from 'coreutils') is not among the inputs, whereas it is in
> the (implicit) native-inputs when compiling natively and native-inputs
> are merged into inputs when compiling natively.

I've tested it, and it was for the most part functional (only the
"games" add-on that I could integrate to the main screen didn't render
fully, perhaps because my WebGL support was marked as blacklisted (I use
the nouveau driver)).

LGTM, with the above comment from Maxime addressed!

Thank you!

Maxim